Get a list of accounts
curl --request GET \
--url https://api.example.com/v1/accountsimport requests
url = "https://api.example.com/v1/accounts"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v1/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"accountId": "019bdb2a-960f-789d-8955-21720e6cdeed",
"iban": "LT647044001231465456",
"partyId": "019bdb2a-960f-789d-8955-21720e6cdeee",
"status": "OPENED",
"createdAt": "2026-01-22T13:47:21.542Z",
"statusUpdatedAt": "2026-01-22T13:47:21.542Z",
"balances": [
{
"currency": "EUR",
"availableBalance": 100000,
"holdingBalance": 100000
}
],
"currentLedgerAccount": "CUSTOMER:party-uuid:account-uuid:CURRENT",
"holdingLedgerAccount": "CUSTOMER:party-uuid:account-uuid:HOLDING"
}
],
"page": 0,
"size": 100,
"totalPages": 5
}{
"status": 500,
"title": "<string>",
"instance": "<string>",
"detail": "<string>"
}Accounts
Get list of accounts
Returns all accounts, optionally filtered by party ID
GET
/
v1
/
accounts
Get a list of accounts
Query Parameters
Filter by current ledger account identifiers
Example:
[
"CUSTOMER:034995c6-7f46-4298-9569-cdf1bb572102:9c576ecc-3000-4ad2-9be9-876bb9b93de9:CURRENT"
]
Filter by IBAN
Example:
"LT643500012345678901"
Page number (0-based)
Required range:
x >= 0Example:
0
Filter by party ID
Pattern:
[a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}Example:
"019bdb2a-960f-789d-8955-21720e6cdeee"
Number of items per page (max 100)
Required range:
1 <= x <= 100Example:
20
Field name to sort by
Example:
"createdAt"
Sort direction
Last modified on March 31, 2026